using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OliviaAddInPro.Model.contract
{
    public interface IprocessManager
    {
        void SetProceso(string proceso);
        void SetEstado(string estado);//estado del proceso
        void SetTextBtn(string textbtn);
        void SetProgress(double progresPorcent);
        double GetProgress();
        bool Getcancelled();
        void Setcancelled();
        void Inicia();
        void PonBarColorVerde();
        void PonBarColorRojo();
    }
}
